<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

load_language('plugin.lang', BMPD_PATH);

global $prefilter;

  add_event_handler('get_batch_manager_prefilters', 'BMPD_add_batch_manager_prefilters');
  add_event_handler('perform_batch_manager_prefilters', 'BMPD_perform_batch_manager_prefilters', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

function BMPD_add_batch_manager_prefilters($prefilters)
{
	array_push($prefilters, array(
    'ID' => 'BMPD',
    'NAME' => l10n('Without description'),
  ));
	return $prefilters;
}

function BMPD_perform_batch_manager_prefilters($filter_sets, $prefilter)
{
  if ($prefilter == 'BMPD')
  {
    $query = '
SELECT id
  FROM '.IMAGES_TABLE.'
  WHERE comment is null
;';
    $filter_sets[] = array_from_query($query, 'id');
  }
  
	return $filter_sets;
}

  add_event_handler('get_batch_manager_prefilters', 'BMPD2_add_batch_manager_prefilters');
  add_event_handler('perform_batch_manager_prefilters', 'BMPD2_perform_batch_manager_prefilters', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

function BMPD2_add_batch_manager_prefilters($prefilters)
{
	array_push($prefilters, array(
    'ID' => 'BMPD2',
    'NAME' => l10n('With description'),
  ));
	return $prefilters;
}

function BMPD2_perform_batch_manager_prefilters($filter_sets, $prefilter)
{
  if ($prefilter == 'BMPD2')
  {
    $query = '
SELECT id
  FROM '.IMAGES_TABLE.'
  WHERE comment is not null
;';
    $filter_sets[] = array_from_query($query, 'id');
  }
  
	return $filter_sets;
}

?>